Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity.model
Interface HLClass<E>

All Superinterfaces:
  Entity<E>, HLEntity<E>

All Known Implementing Classes:
  HLClassImpl

    public interface HLClass<E>

extends HLEntity<E>

Method Summary
`Set<HLProperty<E>>` | `getDataProperties(int local, int asserted, int named)`
`Set<HLIndividual<E>>` | `getInstances(int local, int asserted, int named)`
`Set<HLProperty<E>>` | `getObjectProperties(int local, int asserted, int named)`
`Set<HLProperty<E>>` | `getProperties(int local, int asserted, int named)`
`Set<HLClass<E>>` | `getSubClasses(int local, int asserted, int named)`
`Set<HLClass<E>>` | `getSuperClasses(int local, int asserted, int named)`

Methods inherited from interface fr.inrialpes.exmo.ontosim.entity.model.HLEntity
`getOntology`

Methods inherited from interface fr.inrialpes.exmo.ontosim.entity.model.Entity
`getAnnotations, getComments, getLabels, getObject, getURI, isClass, isDataProperty, isIndividual, isObjectProperty, isProperty`

Method Detail

### getInstances

    Set<HLIndividual<E>> getInstances(int local,
                                      int asserted,
                                      int named)

### getSubClasses

    Set<HLClass<E>> getSubClasses(int local,
                                  int asserted,
                                  int named)

### getSuperClasses

    Set<HLClass<E>> getSuperClasses(int local,
                                    int asserted,
                                    int named)

### getProperties

    Set<HLProperty<E>> getProperties(int local,
                                     int asserted,
                                     int named)

### getDataProperties

    Set<HLProperty<E>> getDataProperties(int local,
                                         int asserted,
                                         int named)

### getObjectProperties

    Set<HLProperty<E>> getObjectProperties(int local,
                                           int asserted,
                                           int named)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009